@charset "utf-8";

/****************************
＊探索拠点ルーム(深海テーマ用)用CSS
Author&copyright:@skrige

ClipChat(cc.428.net)さんところのルームテキスト用CSSです。
折りたたみボックス・タグの太字化・URL記入によるレイアウト崩れの対策
などが含まれます。
ClipChat内での利用であれば自由に利用できます。
改造は自己責任でお願いします。ないしアイデア貰えれば検討するかも。

*****************************/

/*ルームテキスト全体を囲って要素指定をしやすいようにする*/
.roomtext{
	padding:0;
	margin:0;
	width:100%;
	box-sizing:border-box;
}
/*自動改行を1個だけ消す*/
.roomtext>br:first-child{
   display:none;
}
/* ルームリンクをボタン化しちゃう */
.roomtext a.tag{
   display:inline-block !important;
   width:auto;
   line-height:1.2em;
   height:1.2em;
   padding:0.1em 0.6em;
   margin-right:0.4em;
   border:dotted 1px orange;
   border-radius:0.3em;
   background:rgba(200, 200, 0, 0.0)
   transition-property:background;
   transition-duration:0.5s;
   transition-timing-function:ease;
}
.roomtext a.tag:hover{
 background:rgba(200, 200, 0, 0.2);
 text-shadow: none;
}

/*===============================================================*/
/* URL対策 */
.talkarea{ word-break: break-all; word-wrap: break-word; }

/* 小さいテキスト*/
memo,.y_memo{
	font-size:80%;
  font-weight:normal;
	}
/* 親要素用サイズボックス========== */
/* display:inline-block方式*/
/* 自動改行およびホワイトスペース除去枠 */
		div.parentbox{
			letter-spacing:-1em;
		}
		div.parentbox>br:first-child{display: none;} /* ボックス内自動改行対応 */
		div.parentbox+br{display: none;}/* ボックス後の自動改行対策 */
		/*　約半分サイズ */
		div.halfbox{
		    display:inline-block;
			padding:0;
			margin:0;
			width:50%;
			box-sizing:border-box;
			vertical-align: top;
			letter-spacing:0;
		}
		div.halfbox>br:first-child{display: none;} /* ボックス内自動改行対応 */
		div.halfbox+br{display: none;}/* ボックス後の自動改行対策 */
/* display:table方式*/
/* 実装未定 、とりあえず動くはず？*/
		div.tablebox{
		    display:table;
		    table-layout:fixed;		
		}
		div.tablebox div.cell{
		    display:table-cell;
		    vertical-align:middle;
		}
		
/* ************************************************************/
/* 個別ルームリンク用 */
div.roomlinks{
position:relative;
padding-bottom:1em !important;
line-height:1.4em;
}
/* メモを右下にくっつける */
div.roomlinks>.y_memo{
	font-size:80%;
    font-weight:normal;
	position: absolute;
	bottom: 0%;
	right: 5px;
}
/* 少し白い背景のボックス */
div.y_nakami {
margin: 0;
background:rgba(255,255,255,0.1);
border:1px solid rgba(0,0,0,0.4);
padding:0.4em 1em; 
}
div.y_nakami>br:first-child{display: none;} /* ボックス内自動改行対応 */
div.y_nakami+br{display: none;}/* ボックス後の自動改行対策 */

/* 改行削除ボックス */
div.y_nobr>br{display: none;}

/*Ghr+br対策*/
hr+br{display: none;}
/* 折りたたみボックス******************************************/

/* 見た目：見出し部 */
label.y_midashi {
  font-weight: bold;
  background: RGBA(0,0,0,0.2);
  color: #fff;
  line-heght:1.2em;
  padding:0.4em 2em;
  display: block;
  margin: 0;
  border: 1px solid #fff;
  cursor: pointer;
  transition-property:background;
  transition-duration:0.5s;
  transition-timing-function:ease;
}
label.y_midashi:before {
	content:"▼ ";
}
/* 見た目：見出し部：カーソル乗せた時*/
label.y_midashi:hover {
  background: RGBA(0,0,0,0.6);
  padding:0.4em 2em;
}
label.y_midashi:hover:before {
	content:"▽ ";
}
/* 表示非表示動作部 */
/* チェックボックスの次の.y_nakamiの表示状態を切り替える */

input[type="checkbox"].on-off{
  display: none;
}

/*(個別に稼働するタイプ)*/
input[type="checkbox"].on-off + div.y_nakami{
  display: none;
}

input[type="checkbox"].on-off:checked + div.y_nakami{
  display: block;
}

/*(横並び時に連動させるタイプ)*/
input[type="checkbox"].on-off + div.parentbox label.y_midashi + div.y_nakami{
  display: none;
}

input[type="checkbox"].on-off:checked + div.parentbox label.y_midashi + div.y_nakami{
  display: block;
}



/* 折りたたみボックスここまで********************************/
/* タグを見やすくする (文中表示用)*************************/
.tag{
	font-weight: bold;
	}
.tag:hover{
}

/*ツールチップ表示*****************************************/
/* 使い方 <tip>表示名<tiptext>説明文</tiptext></tip> */
/* 表示文字の装飾 */
tip{
    font-style: oblique;
    display: inline-block;                        /* インライン要素化 */
    border-bottom:dashed 1px #555;    /* 下線を引く */
}
/* ツールチップ部分を隠す */
tip tiptext {
    display: none;
}
tip tiptext:hover {
    display: none;
} 
/* マウスオーバー */
tip:hover {
    position: relative;
} 
/* マウスオーバー時にツールチップを表示 */
tip:hover tiptext {
    display: block;                  /* ボックス要素にする */
    position: absolute;            /* relativeからの絶対位置 */
    top:102%;
    font-size: 80%;
    color: #fff;
    background-color: #51A2C1;
    width: 25em;
    padding: 0.8em;
    border-radius:3px;
    z-index:100;
}
/* テーブル作成*****************************/
/* 自動改行で崩れるので、改行無視のボックスに入れること */
table.list {
	width: 100%;
	border-collapse: separate;
	table-layout: fixed;
}
table.list th {
	color:white;
	background: black;
	text-align:center;
}	
table.list tr td{
	width:auto;
	padding: 0.2em 0.2em;
	border:none;
	vertical-align:middle;
}

table.list tr td>br{display: inline;}

table.list tr:nth-child(2n+1) {
	background: rgba(255,255,255,0.2);
}
table.list tr:nth-child(2n) {
	background: rgba(255,255,255,0.1);
}
table.list .w1 {
	width: 1em;
}
table.list .w2 {
	width: 2em;
}
table.list .w3 {
	width: 3em;
}
table.list .w4 {
	width: 4em;
}
table.list .w5 {
	width: 5em;
}
table.list .w6 {
	width: 6em;
}
table.list .w7 {
	width: 7em;
}
table.list .w8 {
	width: 8em;
}
table.list .w9 {
	width: 9em;
}
table.list .w10 {
	width: 10em;
}
table.list .w11 {
	width: 11em;
}
table.list .w12 {
	width: 12em;
}
table.list .w13 {
	width: 13em;
}
table.list .w14 {
	width: 14em;
}
table.list .w15 {
	width: 15em;
}
table.list .w16 {
	width: 16em;
}
table.list .w17 {
	width: 17em;
}
table.list .w18 {
	width: 18em;
}
table.list .w19 {
	width: 19em;
}
table.list .w20 {
	width: 20em;
}

table.list .status {
	width: 5em;
	text-align: center;
}
table.list .room {
	width: 16em;
}
table.list .name {
	width: 8em;
}

 
/* 背景編集 ****************************************/


html{ /*ページ全体*/
/*
 background-image:url(http://kn-t.jp/ikki/cc/snow1.png),url(http://kn-t.jp/ikki/cc/snow1.png),url(http://cc.428.st/haikei2.png) !important;
 background-position:top left,top right,0% 0%;
 background-repeat:repeat,repeat,repeat,repeat;
 background-attachment: scroll,fixed,scroll;
*/
}

div .content{ /*メインカラム */
/* background-image:url(http://kn-t.jp/ikki/cc/xmas_bg.png),url(http://kn-t.jp/ikki/cc/xmas_bg.png),url(http://cc.428.st/white15.png) !important;
 background-position:top left,bottom left,0% 0%;
 background-repeat:repeat-x,repeat-x,repeat;
 background-attachment: scroll,scroll,scroll;
*/
}